{
  environment.variables.CONTAINERD_NAMESPACE = "k8s.io";
  environment.variables.CONTAINERD_ADDRESS = "/run/k3s/containerd/containerd.sock";
  
  time.timeZone = "Asia/Shanghai";
  security.sudo.wheelNeedsPassword = true;

  # Select internationalisation properties.
  i18n = {
    defaultLocale = "zh_CN.UTF-8";
    extraLocaleSettings = {
      LC_ADDRESS = "zh_CN.UTF-8";
      LC_IDENTIFICATION = "zh_CN.UTF-8";
      LC_MEASUREMENT = "zh_CN.UTF-8";
      LC_MONETARY = "zh_CN.UTF-8";
      LC_NAME = "zh_CN.UTF-8";
      LC_NUMERIC = "zh_CN.UTF-8";
      LC_PAPER = "zh_CN.UTF-8";
      LC_TELEPHONE = "zh_CN.UTF-8";
      LC_TIME = "zh_CN.UTF-8";
    };
  };

  nix = {
    settings = {
      auto-optimise-store = false;
      experimental-features = [
        "nix-command"
        "flakes"
      ];

      substituters = [
        "https://mirrors.ustc.edu.cn/nix-channels/store" # 中科大
        "https://mirrors.tuna.tsinghua.edu.cn/nix-channels/store" # 清华
        "https://mirrors.bfsu.edu.cn/nix-channels/store" # 北外
        "https://mirror.sjtu.edu.cn/nix-channels/store" # 交大
        "https://nixos-cn.cachix.org"
        "https://cache.nixos.org/"
      ];

      trusted-users = [
        "root"
        "@wheel"
      ];
    };

    gc = {
      automatic = false;
      dates = "weekly";
      options = "--delete-older-than 1w";
    };
  };
}
